summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Nikolay Korotkiy <sikmir@gmail.com>2016-11-12 21:55:37 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-14 16:59:30 +0700
commit4588280659de3494c784bc62802bee683c0ee496 (patch)
treebf50e68084e668f8bbd9c61b441cde54029d6abb /libraries
parent33bb892748d1315e76a1c4b63980b2bfa8153c76 (diff)
downloadslackbuilds-4588280659de3494c784bc62802bee683c0ee496.tar.gz
slackbuilds-4588280659de3494c784bc62802bee683c0ee496.tar.xz
libraries/polyclipping: Added (polygon/line clipping & offsetting).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/polyclipping/README1
-rw-r--r--libraries/polyclipping/polyclipping.SlackBuild95
-rw-r--r--libraries/polyclipping/polyclipping.info10
-rw-r--r--libraries/polyclipping/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/libraries/polyclipping/README b/libraries/polyclipping/README
new file mode 100644
index 0000000000..40525c6766
--- /dev/null
+++ b/libraries/polyclipping/README
@@ -0,0 +1 @@
+Polygon and line clipping and offsetting library.
diff --git a/libraries/polyclipping/polyclipping.SlackBuild b/libraries/polyclipping/polyclipping.SlackBuild
new file mode 100644
index 0000000000..2df7332263
--- /dev/null
+++ b/libraries/polyclipping/polyclipping.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for polyclipping
+
+# Copyright 2016, Nikolay Korotkiy <sikmir@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=polyclipping
+VERSION=${VERSION:-6.1.3a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -o -d $PRGNAM-$VERSION $CWD/clipper_ver$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ../cpp
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README License.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/polyclipping/polyclipping.info b/libraries/polyclipping/polyclipping.info
new file mode 100644
index 0000000000..608f71ae4d
--- /dev/null
+++ b/libraries/polyclipping/polyclipping.info
@@ -0,0 +1,10 @@
+PRGNAM="polyclipping"
+VERSION="6.1.3a"
+HOMEPAGE="http://sourceforge.net/projects/polyclipping/"
+DOWNLOAD="http://downloads.sourceforge.net/polyclipping/clipper_ver6.1.3a.zip"
+MD5SUM="4dcd043ce48de59714f07bd3ec7ac62b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nikolay Korotkiy"
+EMAIL="sikmir@gmail.com"
diff --git a/libraries/polyclipping/slack-desc b/libraries/polyclipping/slack-desc
new file mode 100644
index 0000000000..eeeed79853
--- /dev/null
+++ b/libraries/polyclipping/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+polyclipping: polyclipping (Polygon and line clipping and offsetting library)
+polyclipping:
+polyclipping: The Clipper library performs clipping and offsetting for both
+polyclipping: lines and polygons. All four boolean clipping operations are
+polyclipping: supported - intersection, union, difference and exclusive-or.
+polyclipping: Polygons can be of any shape including self-intersecting polygons.
+polyclipping:
+polyclipping:
+polyclipping: Homepage: http://sourceforge.net/projects/polyclipping/
+polyclipping:
+polyclipping: